resource "google_dns_managed_zone" "private-zone" {
  name = "dns-private-${random_string.deployment_id.result}"

  dns_name   = "${var.lb_fqdn}."
  visibility = "private"

  private_visibility_config {
    networks {
      network_url = google_compute_network.vnet.id
    }
  }
}

resource "google_dns_record_set" "root-record-private" {
  managed_zone = google_dns_managed_zone.private-zone.name
  name         = "@.${google_dns_managed_zone.private-zone.dns_name}"
  type         = "A"
  rrdatas      = [google_compute_global_address.lb-ip.address]
  ttl          = 300
}

resource "google_dns_record_set" "fqdn-record-private" {
  managed_zone = google_dns_managed_zone.private-zone.name
  name         = google_dns_managed_zone.private-zone.dns_name
  type         = "A"
  rrdatas      = [google_compute_global_address.lb-ip.address]
  ttl          = 300
}

resource "google_dns_record_set" "star-record-private" {
  managed_zone = google_dns_managed_zone.private-zone.name
  name         = "*.${google_dns_managed_zone.private-zone.dns_name}"
  type         = "A"
  rrdatas      = [google_compute_global_address.lb-ip.address]
  ttl          = 300
}
