
output "bastion_ip" {
  value = google_compute_instance.bastion.network_interface[0].access_config[0].nat_ip
}

output "lb_ip" {
  value = google_compute_global_address.lb-ip.address
}

output "deployment_id" {
  value = random_string.deployment_id.result
}

output "argocd_credentials" {
  value = "https://console.cloud.google.com/security/secret-manager/secret/argocd-credentials-${random_string.deployment_id.result}/versions?project=${var.project_id}"
}

output "argocd_user_credentials" {
  value = "https://console.cloud.google.com/security/secret-manager/secret/argocd-user-credentials-${random_string.deployment_id.result}/versions?project=${var.project_id}"
}

output "as_default_credentials" {
  value = "https://console.cloud.google.com/security/secret-manager/secret/as-default-credentials-${random_string.deployment_id.result}/versions?project=${var.project_id}"
}

output "as_host_credentials" {
   value = "https://console.cloud.google.com/security/secret-manager/secret/as-host-credentials-${random_string.deployment_id.result}/versions?project=${var.project_id}"
}
output "db_credentials" {
  value = "https://console.cloud.google.com/security/secret-manager/secret/db-credentials-${random_string.deployment_id.result}/versions?project=${var.project_id}"
}
output "fqdn" {
  value = var.lb_fqdn
}

output "argocd_console" {
  value = "https://alm.${var.lb_fqdn}"
}

output "dashboard_monitoring_url" {
  value = "https://monitoring.${var.lb_fqdn}/dashboard"
}
output "metrics_monitoring_url" {
  value = "https://monitoring.${var.lb_fqdn}/metrics"
}
output "alertmanager_monitoring_url" {
  value = "https://monitoring.${var.lb_fqdn}/alertmanager"
}

output "cluster_administration_url" {
  value = "https://${var.lb_fqdn}/uipath-management/"
}